Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

BF: Render CommandError the way it's meant to be #2958

Merged
merged 1 commit into from Oct 29, 2018

Conversation

@bpoldrack
Copy link
Member

@bpoldrack bpoldrack commented Oct 29, 2018

This pull request fixes #2938 and prob. #1321

This pull request proposes to adapt CommandError rendering to use its overwritten __str()__

Changes

  • This change is complete

Please have a look @datalad/developers

@bpoldrack
Copy link
Member Author

@bpoldrack bpoldrack commented Oct 29, 2018

@yarikoptic :
Everything seems to fail on this one. I have no idea what this is about or how it is meant to work. Can you have a look at it please?

======================================================================
FAIL: datalad.downloaders.tests.test_credentials.test_credentials_from_env
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/travis/virtualenv/python3.5.6/lib/python3.5/site-packages/nose/case.py", line 198, in runTest
    self.test(*self.arg)
  File "/home/travis/virtualenv/python3.5.6/lib/python3.5/site-packages/datalad/downloaders/tests/test_credentials.py", line 108, in test_credentials_from_env
    assert_equal(cred.get('key_id'), '1')
AssertionError: None != '1'
-------------------- >> begin captured logging << --------------------
datalad: DEBUG: Importing keyring
datalad.downloaders.credentials: WARNING: Failed to query keyring: No recommended backend was available. Install the keyrings.alt package if you want to use the non-recommended backends. See README.rst for details. [fail.py:get_password:23]
--------------------- >> end captured logging << ---------------------

@yarikoptic
Copy link
Member

@yarikoptic yarikoptic commented Oct 29, 2018

master exhibits those too, e.g. https://travis-ci.org/datalad/datalad/jobs/447672408 so, as expected, the failure has nothing to do with this PR... most likely yet another surprise from keyring, heh heh

@yarikoptic yarikoptic merged commit 1321442 into datalad:master Oct 29, 2018
4 of 8 checks passed
@yarikoptic yarikoptic added this to the Release 0.11.1 milestone Nov 24, 2018
yarikoptic added a commit that referenced this issue Nov 27, 2018
	## 0.11.1 (Nov 25, 2018) -- v7-better-than-v6

	Rushed out bugfix release to stay fully compatible with recent
	[git-annex] which introduced v7 to replace v6.

	### Fixes

	- [install]: be able to install recursively into a dataset ([#2982])
	- [save]: be able to commit/save changes whenever files potentially
	  could have swapped their storage between git and annex
	  ([#1651]) ([#2752]) ([#3009])
	- [aggregate-metadata]:
	  - dataset's itself is now not "aggregated" if specific paths are
		provided for aggregation ([#3002]). That resolves the issue of
		`-r` invocation aggregating all subdatasets of the specified dataset
		as well
	  - also compare/verify the actual content checksum of aggregated metadata
		while considering subdataset metadata for re-aggregation ([#3007])
	- `annex` commands are now chunked assuming 50% "safety margin" on the
	  maximal command line length. Should resolve crashes while operating
	  ot too many files at ones ([#3001])
	- `run` sidecar config processing ([#2991])
	- no double trailing period in docs ([#2984])
	- correct identification of the repository with symlinks in the paths
	  in the tests ([#2972])
	- re-evaluation of dataset properties in case of dataset changes ([#2946])
	- [text2git] procedure to use `ds.repo.set_gitattributes`
	  ([#2974]) ([#2954])
	- Switch to use plain `os.getcwd()` if inconsistency with env var
	  `$PWD` is detected ([#2914])
	- Make sure that credential defined in env var takes precedence
	  ([#2960]) ([#2950])

	### Enhancements and new features

	- [shub://datalad/datalad:git-annex-dev](https://singularity-hub.org/containers/5663/view)
	  provides a Debian buster Singularity image with build environment for
	  [git-annex]. [tools/bisect-git-annex]() provides a helper for running
	  `git bisect` on git-annex using that Singularity container ([#2995])
	- Added [.zenodo.json]() for better integration with Zenodo for citation
	- [run-procedure] now provides names and help messages with a custom
	  renderer for ([#2993])
	- Documentation: point to [datalad-revolution] extension (prototype of
	  the greater DataLad future)
	- [run]
	  - support injecting of a detached command ([#2937])
	- `annex` metadata extractor now extracts `annex.key` metadata record.
	  Should allow now to identify uses of specific files etc ([#2952])
	- Test that we can install from http://datasets.datalad.org
	- Proper rendering of `CommandError` (e.g. in case of "out of space"
	  error) ([#2958])

* tag '0.11.1':
  Adjust the date -- 25th fell through due to __version__ fiasco
  BF+ENH(TST): boost hardcoded version + provide a test to guarantee consistency in the future
  This (expensive) approach is not needed in v6+
  small tuneup to changelog
@bpoldrack bpoldrack deleted the bf-out-of-space branch Sep 2, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

2 participants